# $Revision: 1.16 $, $Date: 2004/05/07 00:38:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	Handler-YAWriter
Summary:	XML::Handler::YAWriter perl module
Summary(pl):	Modu perla XML::Handler::YAWriter
Name:		perl-XML-Handler-YAWriter
Version:	0.23
Release:	4
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c7ba2a828a284d6a13ea6fbbfec2b162
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl(IO::File) >= 1.06
BuildRequires:	perl-libxml >= 0.06
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
YAWriter implements Yet Another XML::Handler::Writer. The reasons for
this one are that I needed a flexible escaping technique, and want
some kind of pretty printing.

%description -l pl
YAWriter to jeszcze jedna implementacja (Yet Another)
XML::Handler::Writer. Powstaa dlatego, e autor potrzebowa
elastycznej techniki cytowania i chcia pewnego rodzaju adnego
drukowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/XML/Handler/*
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Handler-YAWriter.spec,v $
Revision 1.16  2004/05/07 00:38:14  ankry
- rel. 4

Revision 1.15  2004/05/06 18:21:32  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/05 06:33:14  ankry
- added tests, license fix, cosmetics

Revision 1.13  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.12  2003/08/18 08:09:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:25:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:42  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 22:10:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:39:13  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/07/20 07:15:02  qboosh
- added xmlpretty program
- %%{perl_sitelib}/XML/Handler dir (belongs to perl-libxml)
- completed BRs
- release 2

Revision 1.4  2002/07/10 09:02:54  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.3  2002/05/25 11:12:37  qboosh
- pl description

Revision 1.2  2002/05/24 12:59:38  jajcus
- %%pdir/%%pnam fixed

Revision 1.1  2002/05/23 13:10:37  jajcus
- new specs; needed for bins package
